<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use common\widgets\PlacePicker\PlacePicker;

/* @var $this yii\web\View */
/* @var $model common\models\Business */
/* @var $form yii\widgets\ActiveForm */
/* @var $categories array */
/* @var $districts array */
?>

<div class="business-form">

    <?php $form = ActiveForm::begin(); ?>

    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'category_id')->dropDownList($categories, ['prompt' => '']) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'district_id')->dropDownList($districts, ['prompt' => '']) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'domain_name')->textInput(['maxlength' => true]) ?>

        </div>
        <div class="col-md-4">

            <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-8">

            <?= $form->field($model, 'address')->textarea(['rows' => 7]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-6">

            <?= $form->field($model, 'landmark')->textInput(['maxlength' => true]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'mobile_no')->textInput(['maxlength' => true]) ?>

        </div>
        <div class="col-md-4">

            <?= $form->field($model, 'toll_free_no')->textInput(['maxlength' => true]) ?>

        </div>
        <div class="col-md-4">

            <?= $form->field($model, 'contact_no')->textInput(['maxlength' => true]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'fax')->textInput(['maxlength' => true]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'email')->textInput(['maxlength' => true]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-8">

            <?= $form->field($model, 'description')->widget(
                \yii\imperavi\Widget::className(),
                [
                    'plugins' => [],
                    'options' => [
                        'minHeight' => 400,
                        'maxHeight' => 400,
                        'buttonSource' => true,
                        'convertDivs' => false,
                        'removeEmptyTags' => false,
                        'imageUpload' => Yii::$app->urlManager->createUrl(['/file-storage/upload-imperavi']),
                        'buttons' => ['bold', 'alignment'],
                        'pasteCallback' => new \yii\web\JsExpression("function(html){ return this.clean.getPlainText(html)  ;}")
                    ]
                ]
            ) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'logo_base_url')->textInput(['maxlength' => true]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'logo_path')->textInput(['maxlength' => true]) ?>

        </div>
    </div>

    <div class="row">
        <div class="col-md-8">

            <?= PlacePicker::widget([
                'model' => $model,
                'name' => 'map',
                'latitudeFieldId' => 'latitude',
                'longitudeFieldId' => 'longitude'
            ]) ?>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'latitude')->textInput(['maxlength' => true, 'id' => 'latitude']) ?>

        </div>
        <div class="col-md-4">

            <?= $form->field($model, 'longitude')->textInput(['maxlength' => true, 'id' => 'longitude']) ?>

        </div>
    </div>

    <div class="row">
        <div class="col-md-4">

            <?= $form->field($model, 'status')->dropDownList($model::statuses()) ?>

        </div>
    </div>
    <div class="form-group">

        <?= Html::submitButton($model->isNewRecord ? Yii::t('backend', 'Create') : Yii::t('backend',
            'Update'), ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>

    </div>

    <?php ActiveForm::end(); ?>

</div>
