<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel backend\modules\business\models\search\BusinessSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */
/* @var $districts array */
/* @var $categories array */

$this->title = Yii::t('backend', 'Businesses');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="business-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a(Yii::t('backend', 'Create Business'), ['create'], ['class' => 'btn btn-success']) ?>
    </p>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            //'id',
            [
                'attribute' => 'category_id',
                'value' => function ($model) {
                    return $model->category->name;
                },
                'filter' => Html::activeDropDownList($searchModel, 'category_id',
                    $categories, ['class' => 'form-control', 'prompt' => ' ']),
            ],
            [
                'attribute' => 'district_id',
                'value' => function ($model) {
                    return $model->category->name;
                },
                'filter' => Html::activeDropDownList($searchModel, 'district_id',
                    $districts, ['class' => 'form-control', 'prompt' => ' ']),
            ],
            'domain_name',
            'name',
            // 'slug',
            // 'address',
            // 'landmark',
            // 'mobile_no',
            // 'toll_free_no',
            // 'contact_no',
            // 'fax',
            // 'email:email',
            'description:ntext',
            // 'logo_base_url:url',
            // 'logo_path',
            // 'latitude',
            // 'longitude',
            [
                'class' => \common\grid\EnumColumn::className(),
                'attribute' => 'status',
                'enum' => [
                    Yii::t('backend', 'In Active'),
                    Yii::t('backend', 'Active')
                ],
            ],
            // 'created_at',
            // 'updated_at',

            [
                'class' => 'yii\grid\ActionColumn',
                'template' => '{update}{delete}'
            ],
        ],
    ]); ?>
</div>
