<?php

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use trntv\filekit\widget\Upload;

/* @var $this yii\web\View */
/* @var $model common\models\Category */
/* @var $form yii\bootstrap\ActiveForm */
?>

<div class="category-form">

    <?php $form = ActiveForm::begin(); ?>

    <div id="myTabContent" class="tab-content">
        <div class="tab-pane fade in active" id="info">
            <div class="page-header">
                <h3> <?= Yii::t('backend', 'Info') ?> </h3>
            </div>
            <div class="row">
                <div class="col-md-6">

                    <?php echo $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

                </div>
            </div>
            <div class="row">
                <div class="col-md-6">

                    <?php echo $form->field($model, 'slug')->textInput(['maxlength' => true]) ?>

                </div>
            </div>
            <div class="row">
                <div class="col-md-6">

                    <?php echo $form->field($model, 'description')->textarea(['rows' => '7']) ?>

                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <?= $form->field($model, 'image')->widget(
                        Upload::className(),
                        [
                            'url' => ['/file-storage/upload'],
                        ])->label('Image');
                    ?>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <?= $form->field($model, 'status')->dropDownList($model::statuses(), ['prompt' => '']) ?>
                </div>
            </div>
            <div class="form-group">
                <?php echo Html::submitButton($model->isNewRecord ? Yii::t('backend', 'Create') : Yii::t('backend',
                    'Update'), ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
            </div>
        </div>
        <div class="tab-pane fade in" id="files">
            <div class="page-header">
                <h3>Files</h3>
            </div>
        </div>

    <?php ActiveForm::end(); ?>

</div>
