<?php

use yii\db\Migration;

class m160831_080848_location extends Migration
{
    public function safeUp()
    {
        $tableOptions = null;
        if ($this->db->driverName === 'mysql') {
            $tableOptions = 'CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE=InnoDB';
        }

        $this->createTable('{{%state}}', [
            'id' => $this->primaryKey(),
            'name' => $this->string(1024)->notNull(),
            'slug' => $this->string(1024),
            'status' => $this->smallInteger(6),
            'created_at' => $this->integer(11),
            'updated_at' => $this->integer(11),
        ], $tableOptions);

        $this->createTable('{{%district}}', [
            'id' => $this->primaryKey(),
            'state_id' => $this->integer()->notNull(),
            'name' => $this->string(1024)->notNull(),
            'slug' => $this->string(1024),
            'status' => $this->smallInteger(6),
            'created_at' => $this->integer(11),
            'updated_at' => $this->integer(11),
        ], $tableOptions);

        $this->createIndex('idx_state_name', '{{%state}}', 'name');
        $this->createIndex('idx_district_name', '{{%district}}', 'name');

        $this->addForeignKey('fk_state_id', '{{%district}}', 'state_id', '{{%state}}', 'id', 'RESTRICT', 'RESTRICT');

    }

    public function safeDown()
    {
        $this->dropForeignKey('fk_state_id', '{{%district}}');

        $this->dropIndex('idx_district_name', '{{%district}}');
        $this->dropIndex('idx_state_name', '{{%state}}');

        $this->dropTable('{{%district}}');
        $this->dropTable('{{%state}}');
    }

}
