<?php

use yii\db\Migration;

class m160903_101233_theme extends Migration
{
    // Use safeUp/safeDown to run migration code within a transaction
    public function safeUp()
    {
        $tableOptions = null;
        if ($this->db->driverName === 'mysql') {
            $tableOptions = 'CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE=InnoDB';
        }

        $this->createTable('{{%theme}}', [
            'id' => $this->primaryKey(),
            'category_id' => $this->integer()->notNull(),
            'code' => $this->string(32)->notNull(),
            'slug' => $this->string(32)->notNull(),
            'name' => $this->string(32)->notNull(),
            'description' => $this->string(512),
            'status' => $this->smallInteger()->notNull(),//->defaultValue(Category::STATUS_ACTIVE),
            'created_at' => $this->integer(),
            'updated_at' => $this->integer()
        ], $tableOptions);

        $this->createTable('{{%theme_files}}', [
            'id' => $this->primaryKey(),
            'theme_id' => $this->integer()->notNull(),
            'file_id' => $this->string(32)->notNull(),
            'base_url' => $this->string(1024),
            'base_path' => $this->string(1024),
            'created_at' => $this->integer(),
            'updated_at' => $this->integer()
        ], $tableOptions);


        $this->addForeignKey('fk_theme_category', '{{%theme}}', 'category_id', '{{%category}}', 'id', 'cascade', 'cascade');
        $this->addForeignKey('fk_theme_files_theme', '{{%theme_files}}', 'theme_id', '{{%theme}}', 'id', 'cascade', 'cascade');
    }

    public function safeDown()
    {
        $this->dropForeignKey('fk_theme_files_theme', '{{%theme_files}}');
        $this->dropForeignKey('fk_theme_category', '{{%theme}}');

        $this->dropTable('{{%theme_files}}');
        $this->dropTable('{{%theme}}');
    }

}
