<?php

use yii\db\Migration;

class m160907_100248_website extends Migration
{
    public function safeUp()
    {
        $tableOptions = null;
        if ($this->db->driverName === 'mysql') {
            $tableOptions = 'CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE=InnoDB';
        }

        $this->createTable('{{%website}}', [
            'id' => $this->primaryKey(),
            'business_id' => $this->integer(),
            'theme_id' => $this->integer(),
            'domain_name' => $this->string(255)->notNull(),
            'expiry_date' => $this->string(11)->notNull(),
            'status' => $this->smallInteger(6),
            'created_at' => $this->integer(11),
            'updated_at' => $this->integer(11),
        ], $tableOptions);

        $this->createIndex('idx_domain_name', '{{%website}}', 'domain_name');

        $this->addForeignKey('fk_website_theme', '{{%website}}', 'theme_id', '{{%theme}}', 'id', 'RESTRICT', 'RESTRICT');

    }

    public function safeDown()
    {
        $this->dropForeignKey('fk_website_theme', '{{%website}}');

        $this->dropIndex('idx_domain_name', '{{%website}}');

        $this->dropTable('{{%website}}');
    }

}
