<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "{{%category_files}}".
 *
 * @property integer $id
 * @property integer $category_id
 * @property string $code
 * @property string $type
 * @property string $name
 * @property integer $created_at
 * @property integer $updated_at
 *
 * @property Category $category
 */
class CategoryFiles extends \yii\db\ActiveRecord
{
    const TYPE_JS = 1;
    const TYPE_CSS = 2;
    const TYPE_HTML = 3;
    const TYPE_HTML_BLOCK = 4;
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%category_files}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['category_id', 'code'], 'required'],
            [['category_id', 'created_at', 'updated_at'], 'integer'],
            [['code', 'type', 'name'], 'string', 'max' => 32],
            [['category_id'], 'exist', 'skipOnError' => true, 'targetClass' => Category::className(), 'targetAttribute' => ['category_id' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('app', 'ID'),
            'category_id' => Yii::t('app', 'Category ID'),
            'code' => Yii::t('app', 'Code'),
            'type' => Yii::t('app', 'Type'),
            'name' => Yii::t('app', 'Name'),
            'created_at' => Yii::t('app', 'Created At'),
            'updated_at' => Yii::t('app', 'Updated At'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCategory()
    {
        return $this->hasOne(Category::className(), ['id' => 'category_id']);
    }

    /**
     * @inheritdoc
     * @return \common\models\query\CategoryFilesQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \common\models\query\CategoryFilesQuery(get_called_class());
    }

    public static function getfiles()
    {
        return [
            self::TYPE_JS => Yii::t('common', 'JS'),
            self::TYPE_CSS => Yii::t('common', 'CSS'),
            self::TYPE_HTML => Yii::t('common', 'HTML'),
            self::TYPE_HTML_BLOCK => Yii::t('common', 'HTML BLOCK'),
        ];
    }
}
