<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "{{%theme_files}}".
 *
 * @property integer $id
 * @property integer $theme_id
 * @property string $file_id
 * @property string $base_url
 * @property string $base_path
 * @property integer $created_at
 * @property integer $updated_at
 *
 * @property Theme $theme
 */
class ThemeFiles extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%theme_files}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['theme_id', 'file_id'], 'required'],
            [['theme_id', 'created_at', 'updated_at'], 'integer'],
            [['file_id'], 'string', 'max' => 32],
            [['base_url', 'base_path'], 'string', 'max' => 1024],
            [['theme_id'], 'exist', 'skipOnError' => true, 'targetClass' => Theme::className(), 'targetAttribute' => ['theme_id' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('app', 'ID'),
            'theme_id' => Yii::t('app', 'Theme ID'),
            'file_id' => Yii::t('app', 'File ID'),
            'base_url' => Yii::t('app', 'Base Url'),
            'base_path' => Yii::t('app', 'Base Path'),
            'created_at' => Yii::t('app', 'Created At'),
            'updated_at' => Yii::t('app', 'Updated At'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getTheme()
    {
        return $this->hasOne(Theme::className(), ['id' => 'theme_id']);
    }

    /**
     * @inheritdoc
     * @return \common\models\query\ThemeFilesQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \common\models\query\ThemeFilesQuery(get_called_class());
    }
}
